# my global config
global:
  scrape_interval: 15s # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: 15s # Evaluate rules every 15 seconds. The default is every 1 minute.
  # scrape_timeout is set to the global default (10s).

# Alertmanager configuration
alerting:
  alertmanagers:
    - static_configs:
        - targets:
          - 172.16.1.18:9093
#          # - alertmanager:9093

# Load rules once and periodically evaluate them according to the global 'evaluation_interval'.
rule_files:
  - "rule/*.yml"
  # - "/opt/prometheus/rule/node_exporter.yml"
  # - "first_rules.yml"
  # - "second_rules.yml"

# A scrape configuration containing exactly one endpoint to scrape:
# Here it's Prometheus itself.
scrape_configs:
  # The job name is added as a label `job=<job_name>` to any timeseries scraped from this config.
  - job_name: "prometheus"

    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.

    static_configs:
      - targets: ["localhost:9090"]

  - job_name: "consul"
    honor_labels: true
    scrape_interval: 60s
    consul_sd_configs:
      - server: '172.16.1.18:8500'
        tags: ['prome']
    relabel_configs:
      - source_labels: [__meta_consul_tags]
        regex: ".*prome.*"
        action: keep
      - regex: __meta_consul_service_metadata_(.+)
        action: labelmap
      - source_labels: [__meta_consul_service]
        target_label: job

#  - job_name: "snmp"
#    honor_labels: true
#    scrape_interval: 60s
#    static_configs:
#      - targets:
#        - 192.168.1.1
#        - 172.16.100.1
#        - 172.16.100.10
#        - 172.16.100.2
#        - 172.16.100.3
#        - 172.16.100.4
#        - 172.16.100.5
#        - 172.16.100.6
#        - 172.16.100.7
#        - 172.16.100.8
#        - 172.16.100.9
#    metrics_path: /snmp
#    params:
#      module:
#        - ruijie
#    relabel_configs:
#      - source_labels: [__address__]
#        target_label: __param_target
#      - source_labels: [__param_target]
#        target_label: instance
#      - target_label: __address__
#        replacement: 172.16.1.18:9116
  
  - job_name: 'snmp-consul'
    honor_labels: true
    scrape_interval: 60s
    consul_sd_configs:
      - server: '172.16.1.18:8500'
        services: ['network-devices']
        tags: ['net']
    metrics_path: /snmp
    relabel_configs:
      - regex: __meta_consul_service_metadata_(.+)
        action: labelmap
      - source_labels: [__meta_consul_service_address]
        target_label: __param_target
      - source_labels: [__meta_consul_service_metadata_community]
        target_label: __param_auth
      - source_labels: [__meta_consul_service_metadata_module]
        target_label: __param_module
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.16.1.18:9116
